Přejít na hlavní obsah
GET
/
invoices
/
{invoice}
Detail faktúry
curl --request GET \
  --url https://app.fintoro.sk/api/public/v1/invoices/{invoice} \
  --header 'Authorization: Bearer <token>'
{
  "id": 301,
  "uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
  "type": "invoice",
  "number": "20260001",
  "webDokladUrl": "https://app.fintoro.sk/web-doklad/fa/4f3f8a95-5c4a-4c8b-9e6c-8a0c1a5df3a1",
  "pdfDownloadUrl": "https://app.fintoro.sk/api/public/v1/invoices/123/pdf",
  "company": {
    "name": "Fintoro s.r.o.",
    "subjectId": "12345678",
    "legalForm": "Spoločnosť s ručením obmedzeným",
    "taxId": "2020123456",
    "vatId": "SK2020123456",
    "vatPayerTypeId": 4,
    "country": "Slovensko",
    "city": "Bratislava",
    "street": "Hlavná 1",
    "zip": "81101",
    "logo": "https://cdn.fintoro.sk/company/logo.svg",
    "signature": "https://cdn.fintoro.sk/company/signature.png",
    "registrationCourt": "Mestský súd Bratislava III",
    "registrationNumber": "12345/B",
    "email": "support@fintoro.sk",
    "phone": "+421900000000",
    "web": "https://fintoro.sk"
  },
  "clientId": 101,
  "client": {
    "name": "Acme s.r.o.",
    "type": "company",
    "subjectId": "12345678",
    "taxId": "2020123456",
    "vatId": "SK2020123456",
    "isVatPayer": true,
    "email": "billing@acme.test",
    "street": "Hlavná 1",
    "city": "Bratislava",
    "zip": "81101",
    "countryId": 703,
    "country": {
      "id": 703,
      "name": "Slovensko",
      "code": "SK",
      "eu": true
    },
    "hasDeliveryAddress": true,
    "deliveryStreet": "Skladová 9",
    "deliveryCity": "Košice",
    "deliveryZip": "04001",
    "deliveryCountryId": 703,
    "deliveryCountry": {
      "id": 703,
      "name": "Slovensko",
      "code": "SK",
      "eu": true
    }
  },
  "bankAccount": {
    "id": 201,
    "bankId": 1,
    "bank": {
      "id": 23,
      "name": "Tatra Banka",
      "swift": "TATRSKBX"
    },
    "name": "Hlavný účet",
    "iban": "SK3111000000001234567890",
    "swift": "TATRSKBX",
    "isPrimary": true,
    "autoPaymentMatching": true
  },
  "payments": [
    {
      "id": 801,
      "documentType": "invoice",
      "documentId": 301,
      "paymentMethod": {
        "id": 1,
        "name": "Platba prevodom"
      },
      "currency": {
        "id": 1,
        "symbol": "EUR",
        "name": "Euro",
        "mark": "€"
      },
      "paymentDate": "2026-03-07",
      "amount": 15.5,
      "currencyRate": 1,
      "receiptInvoice": {
        "id": 301,
        "uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
        "type": "invoice",
        "number": "20260001",
        "clientId": 101,
        "client": {
          "name": "Acme s.r.o.",
          "type": "company",
          "subjectId": "12345678",
          "taxId": "2020123456",
          "vatId": "SK2020123456",
          "isVatPayer": true,
          "email": "billing@acme.test",
          "street": "Hlavná 1",
          "city": "Bratislava",
          "zip": "81101",
          "countryId": 703,
          "country": {
            "id": 703,
            "name": "Slovensko",
            "code": "SK",
            "eu": true
          },
          "hasDeliveryAddress": true,
          "deliveryStreet": "Skladová 9",
          "deliveryCity": "Košice",
          "deliveryZip": "04001",
          "deliveryCountryId": 703,
          "deliveryCountry": {
            "id": 703,
            "name": "Slovensko",
            "code": "SK",
            "eu": true
          }
        },
        "issueDate": "2026-03-03",
        "dueDate": "2026-03-17",
        "deliveryDate": "2026-03-03",
        "currency": {
          "id": 1,
          "symbol": "EUR",
          "name": "Euro",
          "mark": "€"
        },
        "total": 200,
        "totalWithVat": 240,
        "toBePaid": 240,
        "status": "unpaid",
        "hasVat": true
      }
    }
  ],
  "variableSymbol": 20260001,
  "constantSymbol": 308,
  "specificSymbol": 55,
  "issueDate": "2026-03-03",
  "dueDate": "2026-03-17",
  "deliveryDate": "2026-03-03",
  "businessCaseId": 701,
  "discountType": "percentage",
  "discountValue": 10,
  "transferTaxLiability": false,
  "numericalSeriesId": 12,
  "deliveryMethodId": 1,
  "paymentMethodId": 1,
  "currencyId": 1,
  "currencyRate": 1,
  "languageId": 1,
  "qrTypeId": 1,
  "note": "Ďakujeme za objednávku.",
  "textAboveItems": "Dakujeme za spoluprácu.",
  "itemsTotal": 200,
  "itemsTotalWithVat": 240,
  "total": 200,
  "totalWithVat": 240,
  "toBePaid": 240,
  "status": "unpaid",
  "hasVat": true,
  "creditNotesSumTotalWithVat": 0,
  "items": [
    {
      "id": 1,
      "uuid": "6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19",
      "name": "Konzultácia",
      "description": "Mesačný balík konzultácií",
      "unitPrice": 100,
      "unitId": 1,
      "quantity": 2,
      "vatRate": 20,
      "discountName": "Vernostná zľava",
      "discountType": "percentage",
      "discountValue": 10,
      "priceListItemId": 501,
      "total": 200,
      "totalWithVat": 240
    }
  ]
}

Autorizace

Authorization
string
header
povinné

Bearer token vytvorený pre konkrétnu firmu v Integrácie → API.

Parametry cesty

invoice
integer
povinné

ID faktúry.

Příklad:

301

Odpověď

Detail faktúry.

Faktúra.

id
integer
Příklad:

301

uuid
string
Příklad:

"6b1b8c9e-66e6-4fb5-b2db-6d7c7f0f8f19"

type
string
Příklad:

"invoice"

number
string
Příklad:

"20260001"

webDokladUrl
string<uri>

Absolútna URL na verejný web doklad tejto faktúry.

Příklad:

"https://app.fintoro.sk/web-doklad/fa/4f3f8a95-5c4a-4c8b-9e6c-8a0c1a5df3a1"

pdfDownloadUrl
string<uri>

Absolútna URL na Fintoro API endpoint, ktorý stiahne PDF tejto faktúry ako prílohu.

Příklad:

"https://app.fintoro.sk/api/public/v1/invoices/123/pdf"

company
object

Snapshot dodávateľa uložený priamo na tomto doklade.

clientId
integer

Live ID klienta naviazaného na faktúru.

Příklad:

101

client
object

Historický snapshot klienta uložený priamo na tomto doklade.

bankAccount
object

Bankový účet naviazaný na faktúru ako živá väzba načítaná aj cez soft delete.

payments
object[]

Úhrady naviazané na túto faktúru v poradí od najnovšej.

variableSymbol
integer
Příklad:

20260001

constantSymbol
integer | null
Příklad:

308

specificSymbol
integer | null
Příklad:

55

issueDate
string<date>
Příklad:

"2026-03-03"

dueDate
string<date>
Příklad:

"2026-03-17"

deliveryDate
string<date>
Příklad:

"2026-03-03"

businessCaseId
integer | null

Voliteľné ID obchodného prípadu. Ak ho pošlete, musí patriť zvolenému klientovi na doklade.

Příklad:

701

discountType
string | null
Příklad:

"percentage"

discountValue
number<float> | null
Příklad:

10

transferTaxLiability
boolean
Příklad:

false

numericalSeriesId
integer | null
Příklad:

12

deliveryMethodId
integer
Příklad:

1

paymentMethodId
integer
Příklad:

1

currencyId
integer
Příklad:

1

currencyRate
number<float>
Příklad:

1

languageId
integer
Příklad:

1

qrTypeId
integer
Příklad:

1

note
string | null
Příklad:

"Ďakujeme za objednávku."

textAboveItems
string | null
Příklad:

"Dakujeme za spoluprácu."

itemsTotal
number<float>
Příklad:

200

itemsTotalWithVat
number<float>
Příklad:

240

total
number<float>
Příklad:

200

totalWithVat
number<float>
Příklad:

240

toBePaid
number<float>
Příklad:

240

status
string
Příklad:

"unpaid"

hasVat
boolean
Příklad:

true

creditNotesSumTotalWithVat
number<float>
Příklad:

0

items
object[]